OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Interface NotifdQueueHandler

All Superinterfaces:
  Fiber, PausableFiber, java.lang.Runnable

All Known Implementing Classes:
  DefaultQueueHandler

public interface NotifdQueueHandler
extends java.lang.Runnable, PausableFiber

This interface defines a handler for a Notifd queue. As notifications are parsed from events they will be put on a process queue and will be handled by a class implementing this interface.

Author:
  Jason Johns ,

  Field Summary

  Fields inherited from interface org.opennms.core.fiber.PausableFiber
  `PAUSE_PENDING, PAUSED, RESUME_PENDING`

  Fields inherited from interface org.opennms.core.fiber.Fiber
  `RUNNING, START_PENDING, STARTING, STATUS_NAMES, STOP_PENDING, STOPPED`

  Method Summary
  `void` `processQueue()`
  `void` `setInterval(java.lang.String interval)`
  `void` `setNoticeQueue(NoticeQueue queue)`
  `void` `setQueueID(java.lang.String queueID)`

  Methods inherited from interface java.lang.Runnable
  `run`

  Methods inherited from interface org.opennms.core.fiber.PausableFiber
  `pause, resume`

  Methods inherited from interface org.opennms.core.fiber.Fiber
  `getName, getStatus, start, stop`

  Method Detail

  ### setQueueID

      public void setQueueID(java.lang.String queueID)

  ### setNoticeQueue

      public void setNoticeQueue(NoticeQueue queue)

  ### setInterval

      public void setInterval(java.lang.String interval)

  ### processQueue

      public void processQueue()

  OpenNMS API 1.2.9

  Generated by ranger on May 19 2007 2335.